Resolve or dismiss a comment thread
POST
/api/v1/threads/{threadId}/resolve
const url = 'https://app.avera.io/api/v1/threads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resolve';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"resolution":"OPEN","note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.avera.io/api/v1/threads/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resolve \ --header 'Content-Type: application/json' \ --data '{ "resolution": "OPEN", "note": "example" }'Sets the thread to RESOLVED or DISMISSED with an optional note; the resolution is mirrored onto the root comment.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”threadId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
resolution
required
string
note
string | null
Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string format: uuid
anchorType
required
string
anchorItemId
required
string format: uuid
anchorItemTypeId
required
string
anchorFieldId
string | null
anchorSeq
required
integer format: int64
anchorRevision
string | null
anchorSelector
string | null
anchorText
string | null
currentAnchorText
string | null
anchorStatus
required
string
status
required
string
resolvedAt
string | null format: date-time
resolvedBy
string | null format: uuid
resolutionNote
string | null
commentCount
required
integer format: int32
lastActivityAt
required
string format: date-time
createdAt
required
string format: date-time
createdBy
required
string format: uuid
comments
required
Array<object>
object
id
required
string format: uuid
threadId
required
string format: uuid
parentCommentId
string | null format: uuid
depth
required
integer format: int32
body
string | null
contentFormat
required
string
severity
string | null
category
string | null
recommendation
string | null
resolutionState
required
string
status
required
string
version
required
integer format: int32
edited
required
boolean
deleted
required
boolean
createdByActor
required
string
createdAt
required
string format: date-time
createdBy
required
string format: uuid
editedAt
string | null format: date-time
deletedAt
string | null format: date-time
deletedBy
string | null format: uuid